package zdb

func (d *Pool) QExec(q *conn, sql string, args ...any) error {
	_, err := q.Exec(d.ctx, sql, args...)

	return err
}

func (d *Pool) WExec(sql string, args ...any) error {
	return d.QExec(d.srvMaster, sql, args...)
}

func (d *Pool) WExecNamed(sql string, args map[string]any) error {
	return d.QExec(d.srvMaster, d.prepare(sql, args))
}
